/*
        This sample code is licensed under the
        International License Agreement for
        non-warranted IBM Software and is
        provided "as-is" with no formal support.

        IBM COPYRIGHT INFORMATION:
        __________________________

        International Business Machines Corporation 1997, 2005
        Licensed program - Property of IBM . All rights reserved.
        IBM and WebSphere are trademarks of International Business
        Machines Corporation in the United States and/or other countries.
        Java is a trademark of Sun Microsystems, Incorporated.
        U.S. Government Users Restricted Rights - Use, duplication, or
        disclosure restricted by GSA ADP. Schedule Contract with IBM Corp.

        LIMIT OF LIABILITY:
        ___________________

        License to the contained APAR fixes is conditioned upon
        the recipient holding a license to the prerequisite
        product.  The license terms and conditions of the APAR
        fixes are the same as those for the prerequisite product.
        Please see the product license for specifics.
*/
package com.ibm.wps.portlets.hodwps5;

/**
 *
 * A sample Java bean that stores portlet instance data in portlet session.
 *
 */
public class PasswordEditorPortletSessionBean {

    private int secretType = 0;
    private String vaultSlotName = "";

    /**
     * Get type of the credential.
     * 
     * @return type of the credential
     */
    public int getSecretType() {
        return this.secretType;
    }

    /**
     * Set type of the credential.
     *
     * @param secretType type of the credential.
     */
    public void setSecretType(int secretType) {
        this.secretType = secretType;
    }

    /**
     * Get name of the credential vault.
     * 
     * @return name of the credential vault
     */
    public String getVaultSlotName() {
        return this.vaultSlotName;
    }

    /**
     * Set name of the credential vault.
     * 
     * @param valutSlotName name of the credential vault
     */
    public void setVaultSlotName(String valutSlotName) {
        this.vaultSlotName = valutSlotName;
    }
}
