/*
        This sample code is licensed under the
        International License Agreement for
        non-warranted IBM Software and is
        provided "as-is" with no formal support.

        IBM COPYRIGHT INFORMATION:
        __________________________

        International Business Machines Corporation 1997, 2005
        Licensed program - Property of IBM . All rights reserved.
        IBM and WebSphere are trademarks of International Business
        Machines Corporation in the United States and/or other countries.
        Java is a trademark of Sun Microsystems, Incorporated.
        U.S. Government Users Restricted Rights - Use, duplication, or
        disclosure restricted by GSA ADP. Schedule Contract with IBM Corp.

        LIMIT OF LIABILITY:
        ___________________

        License to the contained APAR fixes is conditioned upon
        the recipient holding a license to the prerequisite
        product.  The license terms and conditions of the APAR
        fixes are the same as those for the prerequisite product.
        Please see the product license for specifics.
*/
package com.ibm.wps.portlets.hodwps5;


/**
 * 
 * A sample Java bean that passes data from the portlet to a JSP           
 * for markup rendering on edit mode.
 * 
 */
public class PasswordEditorPortletEditBean {

    //**********************************************************
    //* For userId/password form
    //**********************************************************
    private String userActionURI = null;
    private String userId = null;
    private String password = null;
    private String slotId = null;
    private boolean passwordAgain = false;

    /**
     * Get userAction URI.
     * 
     * @return userAction URI
     */
    public String getUserActionURI() {
        return userActionURI;
    }

    /**
     * Set userAction URI.
     * 
     * @param userAction URI
     */
    public void setUserActionURI(String userActionURI) {
        this.userActionURI = userActionURI;
    }

    /**
     * Get userId.
     * 
     * @return userId
     */
    public String getUserId() {
        return userId;
    }

    /**
     * Set UserId.
     * 
     * @param userId user id
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /**
     * Get password.
     * 
     * @return password
     */
    public String getPassword() {
        return password;
    }

    /**
     * Set Password.
     * 
     * @param password
     */
    public void setPassword(String password) {
        this.password = password;
    }

    /**
     * Get slotId.
     * 
     * @return slotId
     */
    public String getSlotId() {
        return slotId;
    }

    /**
     * Set SlotId.
     * 
     * @param slotId slot id
     */
    public void setSlotId(String slotId) {
        this.slotId = slotId;
    }
    
    /**
     * Get Password Again? flag.
     *
     * @return
     */
    public boolean isPasswordAgain() {
        return passwordAgain;
    }
    
    /**
     * Set Password Again? flag.
     * 
     * @param passwordAgain
     */
    public void setPasswordAgain(boolean passwordAgain) {
        this.passwordAgain = passwordAgain;
    }
}
