/*
        This sample code is licensed under the
        International License Agreement for
        non-warranted IBM Software and is
        provided "as-is" with no formal support.

        IBM COPYRIGHT INFORMATION:
        __________________________

        International Business Machines Corporation 1997, 2005
        Licensed program - Property of IBM . All rights reserved.
        IBM and WebSphere are trademarks of International Business
        Machines Corporation in the United States and/or other countries.
        Java is a trademark of Sun Microsystems, Incorporated.
        U.S. Government Users Restricted Rights - Use, duplication, or
        disclosure restricted by GSA ADP. Schedule Contract with IBM Corp.

        LIMIT OF LIABILITY:
        ___________________

        License to the contained APAR fixes is conditioned upon
        the recipient holding a license to the prerequisite
        product.  The license terms and conditions of the APAR
        fixes are the same as those for the prerequisite product.
        Please see the product license for specifics.
*/
package com.ibm.wps.portlets.hodwps5;

import java.util.Vector;

/**
 *
 * PasswordEditorPortletViewBean           
 *
 */
public class PasswordEditorPortletViewBean {

    //**********************************************************
    //* For text form
    //**********************************************************

    private String formActionURI = null;

    /**
     * SetFormAction URI.
     * 
     * @param formActionURI
     */
    public void setFormActionURI(String formActionURI) {
        this.formActionURI = formActionURI;
    }

    /**
     * Get FormActionURI.
     * 
     * @return formActionURI
     */
    public String getFormActionURI() {
        return this.formActionURI;
    }

    //**********************************************************
    //* For userId/password
    //**********************************************************

    private String userId = null;
    private String password = null;

    private Vector accessibleUserIdPasswordCredentialsInAdminSlots;

    /**
     * Get UserId.
     * 
     * @return user id
     */
    public String getUserId() {
        return userId;
    }

    /**
     * Set UserId.
     * 
     * @param userId user id
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /**
     * Get Password text.
     * 
     * @return password text
     */
    public String getPassword() {
        return password;
    }

    /**
     * Set Password text.
     * 
     * @param password password text
     */
    public void setPassword(String password) {
        this.password = password;
    }

    /**
     * Method getAccessibleUserIdPasswordCredentialsInAdminSlots.
     * @return Vector
     */
    public Vector getAccessibleUserIdPasswordCredentialsInAdminSlots() {
        return accessibleUserIdPasswordCredentialsInAdminSlots;
    }

    /**
     * Method setAccessibleUserIdPasswordCredentialsInAdminSlots.
     * @param v
     */
    public void setAccessibleUserIdPasswordCredentialsInAdminSlots(Vector v) {
        this.accessibleUserIdPasswordCredentialsInAdminSlots = v;
    }
}
